# https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/iniparse/iniparse-0.4.tar.gz
%define oname iniparse
%define with_tests 0

Name:		        python-%{oname}
Version:	      0.4
Release:	      %mkrel 7
Summary:	      INI parser for python

License:	      MIT
Group:		      Development/Python
Url:		        http://code.google.com/p/iniparse/
Source:		      %{oname}-%{version}.tar.xz
# From Fedora
Patch0:         fix-issue-28.patch
Patch1:         %{name}-python3-compat.patch
Patch2:         %{name}-setup-fixes.patch

BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:  python-six
BuildRequires:  python-setuptools
BuildRequires:	python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
%if 0%{?with_tests}
BuildRequires:  python-test
BuildRequires:  python3-test
%endif
Requires:       python-six

%description
iniparse is a INI parser for Python which is:

 * Compatiable with ConfigParser: Backward compatible implementations of
   ConfigParser, RawConfigParser, and SafeConfigParser are included that
   are API-compatible with the Python standard library. They pass all the
   unit tests in Python-2.4.4.
 * Preserves structure of INI files: Order of sections & options, indentation,
   comments, and blank lines are preserved as far as possible when data is
   updated.
 * More convenient: Values can be accessed using dotted notation
   (cfg.user.name), or using container syntax (cfg['user']['name']).

It is very useful for config files that are updated both by users and by
programs, since it is very disorienting for a user to have her config
file completely rearranged whenever a program changes it. iniparse also
allows making the order of entries in a config file significant, which is
desirable in applications like image galleries.

%package -n python3-iniparse
Summary:        Python 3 Module for Accessing and Modifying Configuration Data in INI files
Group:          Development/Python
Requires:       python3-six

%description -n python3-iniparse
iniparse is an INI parser for Python 3 which is API compatible
with the standard library's configparser, preserves structure of INI
files (order of sections & options, indentation, comments, and blank
lines are preserved when data is updated), and is more convenient to
use.

%prep
%setup -q -n iniparse-%{version}
%patch0 -p1
%patch1 -p0
%patch2 -p0
chmod -c -x html/index.html
cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd
rm -Rf %buildroot/%_prefix/share/doc/*

%if 0%{?with_tests}
%check
%{__python2} runtests.py
pushd %{py3dir}
%{__python3} runtests.py
popd
%endif

%files
%doc Changelog README html/* LICENSE LICENSE-PSF
%{python2_sitelib}/*

%files -n python3-iniparse
%doc Changelog README html/* LICENSE LICENSE-PSF
%{python3_sitelib}/*

%changelog
* Mon Aug 22 2022 tex - 0.4-7pclos2022
- rebuild against updates

* Wed Apr 18 2018 marcin82 <fixxer1982 at gmail.com> 0.4-6pclos2018
- rebuild with python 3.6.5

* Mon Oct 23 2017 Conan Kudo <Conan Kudo> 0.4-5pclos2017
- Sync packaging from mga
- Add Python 3 subpackage
